Bug 968862 - SELinux is preventing /usr/bin/systemctl from 'open' accesses on the file /run/utmp.
SELinux is preventing /usr/bin/systemctl from 'open' accesses on the file /ru...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:f9967f7dcec6153beada2a1392b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 03:01 EDT by stephane.kaloustian
Modified: 2013-06-23 23:28 EDT (History)
9 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-170.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-23 23:28:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stephane.kaloustian 2013-05-30 03:01:19 EDT
Description of problem:
SELinux is preventing /usr/bin/systemctl from 'open' accesses on the file /run/utmp.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that systemctl should be allowed open access on the utmp file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep runlevel /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:abrt_t:s0-s0:c0.c1023
Target Context                system_u:object_r:initrc_var_run_t:s0
Target Objects                /run/utmp [ file ]
Source                        runlevel
Source Path                   /usr/bin/systemctl
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           systemd-44-24.fc17.x86_64 systemd-44-24.fc17.i686
Target RPM Packages           initscripts-9.37.2-1.fc17.x86_64
Policy RPM                    selinux-policy-3.10.0-169.fc17.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.8.13-100.fc17.x86_64 #1 SMP Mon
                              May 13 13:36:17 UTC 2013 x86_64 x86_64
Alert Count                   5
First Seen                    2013-05-28 10:01:04 CEST
Last Seen                     2013-05-30 08:27:08 CEST
Local ID                      652fa24b-ab23-490a-a5f3-bc159f0838f3

Raw Audit Messages
type=AVC msg=audit(1369895228.313:97): avc:  denied  { open } for  pid=2367 comm="runlevel" path="/run/utmp" dev="tmpfs" ino=13763 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=system_u:object_r:initrc_var_run_t:s0 tclass=file


type=SYSCALL msg=audit(1369895228.313:97): arch=x86_64 syscall=open success=no exit=EACCES a0=3ea5777c62 a1=80000 a2=3ea5777c62 a3=9b9030 items=0 ppid=2366 pid=2367 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=runlevel exe=/usr/bin/systemctl subj=system_u:system_r:abrt_t:s0-s0:c0.c1023 key=(null)

Hash: runlevel,abrt_t,initrc_var_run_t,file,open

audit2allow

#============= abrt_t ==============
allow abrt_t initrc_var_run_t:file open;

audit2allow -R

#============= abrt_t ==============
allow abrt_t initrc_var_run_t:file open;


Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.13-100.fc17.x86_64
type:           libreport

Potential duplicate: bug 951995
Comment 1 Bill Thielman 2013-05-31 18:48:39 EDT
Description of problem:
This comand line entry caused this problem:
xsane epson
It has always worked fine in the past.

Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.13-100.fc17.i686
type:           libreport
Comment 2 Fedora Update System 2013-06-07 03:01:01 EDT
selinux-policy-3.10.0-170.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-170.fc17
Comment 3 Fedora Update System 2013-06-07 19:27:52 EDT
Package selinux-policy-3.10.0-170.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-170.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10302/selinux-policy-3.10.0-170.fc17
then log in and leave karma (feedback).
Comment 4 memayo 2013-06-08 13:27:17 EDT
Description of problem:
Run Simple Scan.  Crashes after a scanned page or two.

Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.13-100.fc17.x86_64
type:           libreport
Comment 5 Bill Thielman 2013-06-10 02:06:40 EDT
Description of problem:
I opened a folder on an external usb drive which contains videos. I did not open any of the videos.

Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.13-100.fc17.i686
type:           libreport
Comment 6 Greg 2013-06-18 04:06:21 EDT
Description of problem:
Adjusting Jovie speech parameters, played text from klipper clipboard tool, after editing it.

Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.13-100.fc17.x86_64
type:           libreport
Comment 7 William A Harvey 2013-06-21 18:09:20 EDT
Description of problem:
Starting spotify

Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.13-100.fc17.i686
type:           libreport
Comment 8 Fedora Update System 2013-06-23 23:28:57 EDT
selinux-policy-3.10.0-170.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.